#version 330

in vec2 vTex;

out vec4 FragColor;

uniform sampler2D texture0;
uniform float bloomCutoff;

//http://stackoverflow.com/questions/596216/formula-to-determine-brightness-of-rgb-color
float Luminance(vec4 color) {
	return dot(vec4(0.299, 0.587, 0.114, 0), color);
}

void main()
{
	FragColor = texture2D(texture0, vTex);
	FragColor.a = Luminance(FragColor);
}
