#version 330

in vec2 vTex;

out vec4 FragColor;

uniform sampler2D texture0;
uniform int drawDepth;
uniform float zNear;
uniform float zFar;

void main()
{
	if (drawDepth == 1) {
		FragColor.rgb = vec3((2.0 * zNear) / (zFar + zNear - texture2D(texture0, vTex).r * (zFar - zNear)));
		FragColor.a = 1.0;
	}
	else {
		FragColor = texture2D(texture0, vTex);
	}
}
