#version 330

in vec3 vNormal;
in vec3 vPos;

layout (location = 0) out vec3 posOut;
layout (location = 1) out vec3 norOut;
layout (location = 2) out vec3 colOut;

uniform vec4 UdColor;

void main()
{
	posOut = vPos;
	norOut = normalize(vNormal);
	colOut = vec3(UdColor);
}
